# RSC_OpticFlow
These data were collected by Dun Mao in the laboratory of Bruce L. McNaughton at the Canadian Centre for Behavioural Neuroscience, University of Lethbridge.

If you wish to use the data in any form or want to collaborate, please get in touch at: zjumao@gmail.com (Dun Mao), vincent.bonin@nerf.be (Vincent Bonin), or bruce.mcnaughton@uleth.ca (Bruce McNaughton)

### Project description
### 
The aim of the project is to investigate the roles of optic flow, locomotion, visual landmarks, and contextual cues on retrosplenial cortex (RSC) neural activity. Calcium fluorescence signals of neuronal pupulation were collected in the superficial agranular RSC in mice running with head-fixed in a virtual reality (VR) and treadmill belt assay.

## Data structure
## 
### behavior
### 
ts: timestamp in second

pos_norm: normalized position (0~1, circular) for each trial

trial: trial number

speed: movement speed, in cm/s

speed_raw: raw running speed

pos_cum: cumulative position (cm) for the entire session

pos_raw: raw position (cm) for each trial

### imaging
### 
ratio: dF/F (%), nSamples x nCells

deconv: deconvolved calcium signal (%), nSamples x nCells

tt: timestamp in second

## data folder
#### VRBeltReframe.mat
Calcium time courses of RSC neural activity in the reference frames of VR and treadmill belt. VR track length: 90 cm, treadmill track length: 150 cm.

#### closedVSopen.mat
Calcium time courses of RSC neural activity during closed-loop VR and open-loop VR

#### randomSquareGains.mat
Calcium time courses of RSC neural activity in VR (random square pattern) with different gains between optic flow and locomotion: 1x, 2x, 0.5x, and 1x'

#### blinkingSquareGains.mat
Calcium time courses of RSC neural activity in VR (blinking square pattern) with different gains between optic flow and locomotion: 1x, 2x, 0.5x, and 1x'

#### visualLandmark.mat
Calcium time courses of RSC neural activity in VR with 4 visual landmarks located at 9, 31.5, 54, 76.5 cm.

#### contextualCue.mat
Calcium time courses of RSC neural activity in a triangle VR with 3 connected tunnels. Distinct contextual cues were presented at 3 vertices. Tunnel length: 100 cm.